TSMOKE(1)

NAME
tSmoke - Commandline tool for sending SmokePing information

SYNOPSIS
tSmoke [ --testmail | --morning | --weekly | --version | --help | --man | --slaves ]

 Options:

 --man      Show the manpage
 --help     Help :-)
 --version  Show SmokePing Version
 --testmail Send a test message
 --listrrds List the RRDs used by this Smokeping
 --morning  Send a morning synopsis
 --weekly   Send a weekly status report
 --to       E-mail address to send message (i.e. '--to=xyz@company.com.invalid'
 --detail   How much detail to send in weekly report (i.e. '--detail=1')
 --quiet    Do not print welcome
 --slaves   Enable slave support assumes all slaves unless csv list of slaves
            is added (i.e. '--slaves' or '--slaves=slave1[,slave2...]')

DESCRIPTION
The tSmoke tool is a commandline tool which interfaces with the SmokePing system. Its main function is to send a message indicating the current status of the systems being monitored by Smokeping or an HTML mail file containing the status over the past day, past week and past month including an overview.

Typical crontab used to invoke this are

 # Quick morning alert to see what's down
 0 6 * * * /usr/local/smokeping/bin/tSmoke.pl --q --to=mobilephone@att.net.invalid --morning
 # Weekly report on the percent availability of network systems with no detail
 0 8 * * * /usr/local/smokeping/bin/tSmoke.pl --q --to=mailbox@company.com.invalid --weekly --detail=0

SETUP
When installing tSmoke, some variables must be adjusted to fit your local system.

We need to use the following libraries:

Smokeping
RRDTool Perl bindings
Getopt::Long

Set up your libraries:

 use lib "/usr/local/smokeping/lib";
 use lib "/usr/local/rrdtool-1.0.39/lib/perl";

Point to your Smokeping config file

 my $cfgfile = "/usr/local/smokeping/etc/config";

Modify the Smokeping config file to include a path for tmail in the General section:

 tmail = /usr/local/smokeping/etc/tmail

SEE ALSO
smokeping(1), smokeping_config(5)

COPYRIGHT
Copyright (c) 2003 by Dan McGinn-Combs. All right reserved.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

AUTHOR
Dan McGinn-Combs <d.mcginn-combs@mindspring.com>

Modified for Smokeping official distribution by Niko Tyni <ntyni@iki.fi>